// virtlistDoc.cpp : implementation of the CVirtListDoc class
//

#include "stdafx.h"
#include "virtlist.h"

#include "virtlistDoc.h"
#include "countdlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CVirtListDoc

IMPLEMENT_DYNCREATE(CVirtListDoc, CDocument)

BEGIN_MESSAGE_MAP(CVirtListDoc, CDocument)
	//{{AFX_MSG_MAP(CVirtListDoc)
	ON_COMMAND(ID_LIST_SETCOUNT, OnListSetcount)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVirtListDoc construction/destruction

CVirtListDoc::CVirtListDoc()
{
	m_Count = 100000;
}

CVirtListDoc::~CVirtListDoc()
{
}

BOOL CVirtListDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CVirtListDoc serialization

void CVirtListDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}

/////////////////////////////////////////////////////////////////////////////
// CVirtListDoc diagnostics

#ifdef _DEBUG
void CVirtListDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CVirtListDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CVirtListDoc commands

void CVirtListDoc::OnListSetcount() 
{
	CCountDlg cd;
	cd.m_Count = m_Count;
	if (cd.DoModal()==IDOK)
	{
		m_Count = cd.m_Count;
		UpdateAllViews(NULL);
	}
}

int CVirtListDoc::GetCount()
{ 
	return m_Count; 
}

CString CVirtListDoc::GetItemText(int nSubItem, int nIndex)
{
	CString sText;
	switch(nSubItem)
	{
	case 0:			
		sText.Format( "Item no.%d", nIndex+1);
		break;
	case 1:			
		sText.Format( "SubItem no.%d", nIndex+1);
		break;
	case 2:				
		sText.Format( nIndex%2 ? "Decimal: %d": "Hex: %X" , nIndex+1);
		break;
	}
	return sText;
}

int CVirtListDoc::GetImage(int nIndex)
{
	return nIndex%3 - 1;
}

int CVirtListDoc::GetStateImage(int nIndex)
{
	//      
	return INDEXTOSTATEIMAGEMASK(nIndex%2 + 1); 
}